/*default-button*/
button#bfSubmitButton {
    border: none;
}
.sppb-btn-default, button#bfSubmitButton {
    background: transparent !important;
    border-radius: 0px;
    padding: 10px 25px 10px 50px !important;
    color: #000 !important;
    font-size: 16px !important;
    font-weight: 400 !Important;
    letter-spacing: 1px;
    transition: 0.5s;
    position: relative;
}
.sppb-btn-default:hover, button#bfSubmitButton:hover {
    color: #000 !important;
    padding: 10px 25px 10px 30px !important;
}
button#bfSubmitButton {
    color: #000 !important;
    padding: 15px 0px 10px 0px !important;
}
button#bfSubmitButton:hover {
    color: #000 !important;
    padding: 15px 0px 10px 0px !important;
}
.sppb-btn-default:before, button#bfSubmitButton:before {
    position: absolute;
    content:'';
    width: 35px;
    height: 1px;
    background: #000;
    left: 0px;
    top: 0;
    bottom: 0;
    margin: auto;
    transition: 0.3s;
}
.sppb-btn-default:hover:before, button#bfSubmitButton:hover:before {
    width: 0px;
}
@media(max-width:991px){
    .sppb-btn-default, button#bfSubmitButton {
    padding: 10px 25px 10px 80px !important;
    font-size: 13px !important;
    letter-spacing: 0.5px;
}
.sppb-btn-default:before, button#bfSubmitButton:before {
    position: absolute;
    content:'';
    width: 35px;
    height: 1px;
    background: #000;
    left: 30px;
    top: 0;
    bottom: 0;
    margin: auto;
    transition: 0.3s;
}
}
.gm-style .gm-style-iw-c input.button {
    background: transparent !important;
    border: 1px solid #000 !important;
    border-radius: 0px;
    padding: 10px 20px !important;
    color: #000 !important;
    font-size: 14px !important;
    font-weight: 400 !Important;
    text-transform: uppercase;
    letter-spacing: 1px;
    transition: 0.5s;
}
.gm-style .gm-style-iw-c input.button:hover {
    background: #000 !important;
    color: #fff !important;
}


/*btn-effect*/
.btn_effect001 {
    background: none;
    border:none;
    color: #fff;
    padding: .25em;
    left:50px;
    text-decoration: none;  
  cursor: pointer;
  /* display: block;*/
  font-size:16px;
  font-weight: 400;
  line-height: 45px;
  margin: 0 0 2em;
  max-width: 150px; 
  position: relative;
  text-decoration: none;
  text-transform: uppercase;
  width: 100%; 
  font-weight: 300;
  transition-duration: 1s;
  transition:0.3s;
}
.btn_effect001:focus {
    outline: none;
}

.btn_effect001 svg {
    height: 50px;
    left: 0;
    position: absolute;
    top: 0; 
    width: 100%; 
    transition-duration: 4s;
}
.btn_effect001 rect {

    stroke-width: 2;
    stroke-dasharray: 0, 360;
    stroke-dashoffset: 310;
    transition: all 1.35s cubic-bezier(0.19, 1, 0.22, 1);
    
}

.btn_effect001:hover {
  font-weight: 500;
  letter-spacing: 1px;
  max-width: 150px;
	 transform:translatex(-50px);
  transition-duration: 1s;
  color:#fff;
 
}
.btn_effect001:hover rect {
    fill: none;
    stroke: #fff;
    stroke-width: 2;
    stroke-dasharray: 422, 0;
    transition-duration: 3s;
  }
  .btn_effect001:before {
    position: absolute;
    content:'';
    width: 35px;
    height: 1px;
    background: #fff;
    left: -20px;
    top: 0;
    bottom: 0;
    margin: auto;
    transition: 0.3s;
}

.btn_effect001:hover:before {
    width: 0px;
}

.overlay-image-button-wrap {
    width: 100%;
}

@media(max-width:991px){
  .btn_effect001 {
    font-size: 12px !important;
    left: 35px;
}
}



/*primary-button*/
.sppb-btn-primary {
    background: transparent !important;
    border-radius: 0px;
    padding: 10px 25px 10px 50px !important;
    color: #fff !important;
    font-size: 16px !important;
    font-weight: 400 !Important;
    letter-spacing: 1px;
    transition: 0.5s;
    position: relative;
}
.sppb-btn-primary:hover {
    color: #fff !important;
    padding: 10px 25px 10px 30px !important;
}
.sppb-btn-primary:before {
    position: absolute;
    content:'';
    width: 35px;
    height: 1px;
    background: #fff;
    left: 0px;
    top: 0;
    bottom: 0;
    margin: auto;
    transition: 0.3s;
}
.sppb-btn-primary:hover:before {
    width: 0px;
}
@media(max-width:991px){
    .sppb-btn-primary {
    padding: 10px 11px 10px 40px !important;
    font-size: 13px !important;
    letter-spacing: 0.5px;
}
.sppb-btn-primary:before {
    position: absolute;
    content:'';
    width: 27px;
    height: 1px;
    background: #fff;
    left: 0px;
    top: 0;
    bottom: 0;
    margin: auto;
    transition: 0.3s;
}
}


.coming-soon .sppb-btn-secondary {
    background: #fff;
    border-radius: 0px;
    border: 1px solid #fff;
    color: #000;
    font-weight: 500;
    padding: 10px 20px;
    font-size: 14px;
}

.coming-soon .sppb-btn-secondary:hover {
    background: transparent;
    border: 1px solid #fff;
    color: #fff;
}